Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel	(revision 11792)
@@ -1825,37 +2253,55 @@
         <NamedArea name="ItemRenderingAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_hscrollbar__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/ListboxLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/ListboxTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_hscrollbar__" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="TaharezLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-12" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="12" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="TaharezLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-12" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="12" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="TaharezLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="12" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-12" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="TaharezLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="12" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-12" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -1864,18 +2310,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="ListboxTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="ListboxTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="ListboxBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="ListboxBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="ListboxLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="ListboxRight" />
-                <Image type="TopEdge" imageset="TaharezLook" image="ListboxTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="ListboxBottom" />
-                <Image type="Background" imageset="TaharezLook" image="ListboxBackdrop" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezLook/ListboxTopLeft" />
+                <Image component="TopRightCorner" name="TaharezLook/ListboxTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezLook/ListboxBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezLook/ListboxBottomRight" />
+                <Image component="LeftEdge" name="TaharezLook/ListboxLeft" />
+                <Image component="RightEdge" name="TaharezLook/ListboxRight" />
+                <Image component="TopEdge" name="TaharezLook/ListboxTop" />
+                <Image component="BottomEdge" name="TaharezLook/ListboxBottom" />
+                <Image component="Background" name="TaharezLook/ListboxBackdrop" />
             </FrameComponent>
         </ImagerySection>
@@ -1890,33 +2344,29 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/ComboDropList
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/ComboDropList">
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ComboboxListRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ComboboxListBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/ComboboxListLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/ComboboxListTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezLook/ComboboxListRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezLook/ComboboxListBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1924,19 +2374,21 @@
         <NamedArea name="ItemRenderingAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ComboboxListRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_hscrollbar__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/ComboboxListLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/ComboboxListTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezLook/ComboboxListRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_hscrollbar__" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1944,19 +2396,21 @@
         <NamedArea name="ItemRenderingAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ComboboxListBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/ComboboxListLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/ComboboxListTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezLook/ComboboxListBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1964,37 +2418,55 @@
         <NamedArea name="ItemRenderingAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_hscrollbar__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/ComboboxListLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/ComboboxListTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_hscrollbar__" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="TaharezLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-12" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="12" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="TaharezLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-12" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="12" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="TaharezLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="12" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-12" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="TaharezLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="12" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-12" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -2003,18 +2475,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="ComboboxListTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="ComboboxListTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="ComboboxListBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="ComboboxListBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="ComboboxListLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="ComboboxListRight" />
-                <Image type="TopEdge" imageset="TaharezLook" image="ComboboxListTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="ComboboxListBottom" />
-                <Image type="Background" imageset="TaharezLook" image="ComboboxListBackdrop" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezLook/ComboboxListTopLeft" />
+                <Image component="TopRightCorner" name="TaharezLook/ComboboxListTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezLook/ComboboxListBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezLook/ComboboxListBottomRight" />
+                <Image component="LeftEdge" name="TaharezLook/ComboboxListLeft" />
+                <Image component="RightEdge" name="TaharezLook/ComboboxListRight" />
+                <Image component="TopEdge" name="TaharezLook/ComboboxListTop" />
+                <Image component="BottomEdge" name="TaharezLook/ComboboxListBottom" />
+                <Image component="Background" name="TaharezLook/ComboboxListBackdrop" />
             </FrameComponent>
         </ImagerySection>
@@ -2027,27 +2507,29 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/ComboEditbox
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/ComboEditbox">
-        <PropertyDefinition name="NormalTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectedTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="ActiveSelectionColour" initialValue="FF607FFF" redrawOnWrite="true" />
-        <PropertyDefinition name="InactiveSelectionColour" initialValue="FF808080" redrawOnWrite="true" />
-        <Property name="MouseCursorImage" value="set:TaharezLook image:MouseTextBar" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF607FFF" name="ActiveSelectionColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF808080" name="InactiveSelectionColour" redrawOnWrite="true" />
+        <Property name="MouseCursorImage" value="TaharezLook/MouseTextBar" />
         <NamedArea name="TextArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" offset="-5" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" offset="-5" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-5" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-5" scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -2055,11 +2537,19 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="TaharezLook" image="ComboboxEditLeft" />
-                <Image type="Background" imageset="TaharezLook" image="ComboboxEditMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="TaharezLook/ComboboxEditLeft" />
+                <Image component="Background" name="TaharezLook/ComboboxEditMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -2067,23 +2557,39 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="TextSelectionBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/TextSelectionBrush" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
             </ImageryComponent>
         </ImagerySection>
-        <ImagerySection name="Carat">
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><ImageDim imageset="TaharezLook" image="EditBoxCarat" dimension="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="EditBoxCarat" />
+        <ImagerySection name="Caret">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <ImageDim dimension="Width" name="TaharezLook/EditBoxCarat" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/EditBoxCarat" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -2103,5 +2609,5 @@
             <Layer>
                 <Section section="container_normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
